Module javafx.web
Package javafx.scene.web

## Enum HTMLEditorSkin.Command

- java.lang.Object
- - java.lang.Enum<HTMLEditorSkin.Command>
  - - javafx.scene.web.HTMLEditorSkin.Command

- All Implemented Interfaces:
    `Serializable`, `Comparable<HTMLEditorSkin.Command>`
  Enclosing class:
    HTMLEditorSkin

      public static enum HTMLEditorSkin.Command
      extends Enum<HTMLEditorSkin.Command>

  Represents commands that can be passed into the HTMLEditor web engine.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ALIGN_CENTER` |
    `ALIGN_JUSTIFY` |
    `ALIGN_LEFT` |
    `ALIGN_RIGHT` |
    `BACKGROUND_COLOR` |
    `BOLD` |
    `BULLETS` |
    `COPY` |
    `CUT` |
    `FONT_FAMILY` |
    `FONT_SIZE` |
    `FOREGROUND_COLOR` |
    `FORMAT` |
    `INDENT` |
    `INSERT_HORIZONTAL_RULE` |
    `INSERT_NEW_LINE` |
    `INSERT_TAB` |
    `ITALIC` |
    `NUMBERS` |
    `OUTDENT` |
    `PASTE` |
    `REDO` |
    `STRIKETHROUGH` |
    `STYLEWITHCSS` |
    `UNDERLINE` |
    `UNDO` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getCommand()` |
    `static HTMLEditorSkin.Command` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static HTMLEditorSkin.Command[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CUT

          public static final HTMLEditorSkin.Command CUT

    - #### COPY

          public static final HTMLEditorSkin.Command COPY

    - #### PASTE

          public static final HTMLEditorSkin.Command PASTE

    - #### UNDO

          public static final HTMLEditorSkin.Command UNDO

    - #### REDO

          public static final HTMLEditorSkin.Command REDO

    - #### INSERT_HORIZONTAL_RULE

          public static final HTMLEditorSkin.Command INSERT_HORIZONTAL_RULE

    - #### ALIGN_LEFT

          public static final HTMLEditorSkin.Command ALIGN_LEFT

    - #### ALIGN_CENTER

          public static final HTMLEditorSkin.Command ALIGN_CENTER

    - #### ALIGN_RIGHT

          public static final HTMLEditorSkin.Command ALIGN_RIGHT

    - #### ALIGN_JUSTIFY

          public static final HTMLEditorSkin.Command ALIGN_JUSTIFY

    - #### BULLETS

          public static final HTMLEditorSkin.Command BULLETS

    - #### NUMBERS

          public static final HTMLEditorSkin.Command NUMBERS

    - #### INDENT

          public static final HTMLEditorSkin.Command INDENT

    - #### OUTDENT

          public static final HTMLEditorSkin.Command OUTDENT

    - #### FORMAT

          public static final HTMLEditorSkin.Command FORMAT

    - #### FONT_FAMILY

          public static final HTMLEditorSkin.Command FONT_FAMILY

    - #### FONT_SIZE

          public static final HTMLEditorSkin.Command FONT_SIZE

    - #### BOLD

          public static final HTMLEditorSkin.Command BOLD

    - #### ITALIC

          public static final HTMLEditorSkin.Command ITALIC

    - #### UNDERLINE

          public static final HTMLEditorSkin.Command UNDERLINE

    - #### STRIKETHROUGH

          public static final HTMLEditorSkin.Command STRIKETHROUGH

    - #### FOREGROUND_COLOR

          public static final HTMLEditorSkin.Command FOREGROUND_COLOR

    - #### BACKGROUND_COLOR

          public static final HTMLEditorSkin.Command BACKGROUND_COLOR

    - #### STYLEWITHCSS

          public static final HTMLEditorSkin.Command STYLEWITHCSS

    - #### INSERT_NEW_LINE

          public static final HTMLEditorSkin.Command INSERT_NEW_LINE

    - #### INSERT_TAB

          public static final HTMLEditorSkin.Command INSERT_TAB

  - ### Method Detail

    - #### values

          public static HTMLEditorSkin.Command[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HTMLEditorSkin.Command c : HTMLEditorSkin.Command.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HTMLEditorSkin.Command valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getCommand

          public String getCommand()